import Auth from '@/views/layout/auth';
import rootRouter from './router-root';

type metaType = {
  isRegister: boolean;
};

export default [
  {
    path: '/',
    component: Auth,
    children: [
      {
        path: '/login',
        name: 'login',
        component: () => import('@/views/layout/login'),
        meta: {
          isRegister: false
        } as metaType
      },
      {
        path: '/order-detail',
        name: 'order-detail',
        component: () => import('@/views/student-register/order-detail'),
        meta: {
          title: '订单详情'
        }
      },
      {
        path: '/shopAddress',
        name: 'shopAddress',
        component: () => import('@/views/student-register/shop-address/index'),
        meta: {
          title: '支付详情'
        }
      },
      {
        path: '/addressOperation',
        name: 'addressOperation',
        component: () =>
          import('@/views/student-register/shop-address/address-operation'),
        meta: {
          title: '收货地址'
        }
      },
      {
        path: '/member-center',
        name: 'member-center',
        component: () => import('@/views/member-center/index'),
        meta: {
          title: '会员中心'
        }
      },
      {
        path: '/knowledge-library',
        name: 'knowledge-library',
        component: () => import('@/views/knowledge-library/index'),
        meta: {
          title: '知识库'
        }
      },
      {
        path: '/unit-detail',
        name: 'unit-detail',
        component: () => import('@/views/knowledge-library/unit-detail'),
        meta: {
          title: '知识库'
        }
      },
      {
        path: '/wroing-book',
        name: 'wroing-book',
        component: () => import('@/views/knowledge-library/wroing-book/index'),
        meta: {
          title: '错题本'
        }
      },
      {
        path: '/courseware-list',
        name: 'courseware-list',
        component: () => import('@/views/courseware-list/index'),
        meta: {
          title: '教材列表'
        }
      },
    ]
  },
  ...rootRouter
];
