import OEmpty from '@/components/m-empty';
import MHeader from '@/components/m-header';
import MSticky from '@/components/m-sticky';
import { defineComponent, reactive } from 'vue';
import styles from './index.module.less';
import { useRouter } from 'vue-router';
import { Button, Collapse, CollapseItem, Image } from 'vant';

export default defineComponent({
  name: 'knowledge-ligrary',
  setup() {
    const router = useRouter();

    const forms = reactive({
      list: [] as any,
      activeNames: 1
    });

    const getList = () => {
      // console.log('1');
    };

    return () => (
      <div class={styles.knowledgeLibrary}>
        <MSticky position="top">
          <MHeader border={false} background="transparent">
            {{
              right: () => (
                <div
                  class={styles.wroingBtn}
                  onClick={() => router.push('/wroing-book')}>
                  <i class={styles.iconWroing}></i>错题本
                </div>
              )
            }}
          </MHeader>
        </MSticky>

        <div class={styles.btnGroup}>
          <Button class={styles.btnPractice}></Button>
          <Button class={styles.btnTest}></Button>
        </div>

        <div class={[styles.containerSection, styles.librarySection]}>
          <Collapse v-model={forms.activeNames} accordion>
            <CollapseItem
              title={'第一单元'}
              name={1}
              value={forms.activeNames === 1 ? '收起' : '展开'}
              border={false}>
              <Image
                class={styles.unitImg}
                onClick={() => router.push('/unit-detail')}
                lazyLoad
                src={
                  'https://lanhu-dds-backend.oss-cn-beijing.aliyuncs.com/merge_image/imgs/a0c89db386a44702acf8ae61fe74c201_mergeImage.png'
                }
              />

              <Image
                class={styles.unitImg}
                onClick={() => router.push('/unit-detail')}
                lazyLoad
                src={
                  'https://lanhu-dds-backend.oss-cn-beijing.aliyuncs.com/merge_image/imgs/a0c89db386a44702acf8ae61fe74c201_mergeImage.png'
                }
              />
            </CollapseItem>

            <CollapseItem
              title={'第二单元'}
              name={2}
              value={forms.activeNames === 2 ? '收起' : '展开'}
              border={false}>
              <Image
                class={styles.unitImg}
                onClick={() => router.push('/unit-detail')}
                lazyLoad
                src={
                  'https://lanhu-dds-backend.oss-cn-beijing.aliyuncs.com/merge_image/imgs/a0c89db386a44702acf8ae61fe74c201_mergeImage.png'
                }
              />
            </CollapseItem>
          </Collapse>
        </div>
        {/* <OEmpty description="暂无阶段自测" /> */}
      </div>
    );
  }
});
