import MHeader from '@/components/m-header';
import MSticky from '@/components/m-sticky';
import { defineComponent } from 'vue';
import styles from './index.module.less';
import { useRouter } from 'vue-router';
import { Image } from 'vant';

export default defineComponent({
  name: 'wroing-book',
  setup() {
    const router = useRouter();
    return () => (
      <div class={styles.knowledgeLibrary}>
        <MSticky position="top">
          <MHeader border={false} background="transparent">
            {{
              right: () => (
                <div
                  class={styles.wroingBtn}
                  onClick={() => router.push('/wroing-book')}>
                  <i class={styles.iconWroing}></i>错题本
                </div>
              )
            }}
          </MHeader>
        </MSticky>

        <div class={[styles.containerSection, styles.woringSection]}>
          <div class={styles.woringContent}>
            <Image
              class={styles.unitImg}
              lazyLoad
              src={
                'https://lanhu-dds-backend.oss-cn-beijing.aliyuncs.com/merge_image/imgs/a0c89db386a44702acf8ae61fe74c201_mergeImage.png'
              }
            />
            这里是内容
          </div>
        </div>
      </div>
    );
  }
});
