import MHeader from '@/components/m-header';
import MSticky from '@/components/m-sticky';
import { defineComponent } from 'vue';
import styles from './index.module.less';
import { useRouter } from 'vue-router';
import { Image } from 'vant';
import AiExam from './images/ai-exam.png';
import WoringPractice from './images/woring-practice.png';
import WoringStat from './images/woring-stat.png';

export default defineComponent({
  name: 'wroing-book',
  setup() {
    const router = useRouter();
    return () => (
      <div class={styles.woringBook}>
        <MSticky position="top">
          <MHeader border={false} background="transparent">
            {{
              content: () => (
                <div class={styles.woringHeader}>
                  <i
                    onClick={() => router.back()}
                    class={[
                      'van-badge__wrapper van-icon van-icon-arrow-left van-nav-bar__arrow',
                      styles.leftArrow
                    ]}></i>
                  <span class={styles.title}>
                    <i></i>
                  </span>
                </div>
              )
            }}
          </MHeader>
        </MSticky>

        <div class={styles.woringSecgtion}>
          <Image lazyLoad src={WoringStat} class={styles.woringImg} />
          <Image lazyLoad src={WoringPractice} class={styles.woringImg} />
          <Image lazyLoad src={AiExam} class={styles.woringImg} />
        </div>
      </div>
    );
  }
});
